| Home | Libraries | People | FAQ | More

###### results::operator= (2 of 2 overloads)

Move assignment.

###### Synopsis

    results&
    operator=(
        results&& other);

###### Exception safety

Basic guarantee. Internal allocations may throw.

###### Object lifetimes

View objects obtained from `other` using `rows` and `meta` remain valid. Any other views and iterators referencing `other` are invalidated. Views and iterators referencing `*this` are invalidated.